com.amazonaws.services.lambda.model

## Class ListEventSourceMappingsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.ListEventSourceMappingsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListEventSourceMappingsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains a list of event sources (see EventSourceMappingConfiguration)

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListEventSourceMappingsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListEventSourceMappingsResult` `clone()`
`boolean` `equals(Object obj)`
`List<EventSourceMappingConfiguration>` `getEventSourceMappings()` An array of `EventSourceMappingConfiguration` objects.
`String` `getNextMarker()` A string, present if there are more event source mappings.
`int` `hashCode()`
`void` `setEventSourceMappings(Collection<EventSourceMappingConfiguration> eventSourceMappings)` An array of `EventSourceMappingConfiguration` objects.
`void` `setNextMarker(String nextMarker)` A string, present if there are more event source mappings.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListEventSourceMappingsResult` `withEventSourceMappings(Collection<EventSourceMappingConfiguration> eventSourceMappings)` An array of `EventSourceMappingConfiguration` objects.
`ListEventSourceMappingsResult` `withEventSourceMappings(EventSourceMappingConfiguration... eventSourceMappings)` An array of `EventSourceMappingConfiguration` objects.
`ListEventSourceMappingsResult` `withNextMarker(String nextMarker)` A string, present if there are more event source mappings.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListEventSourceMappingsResult

    public ListEventSourceMappingsResult()

### Method Detail

#### setNextMarker

    public void setNextMarker(String nextMarker)

A string, present if there are more event source mappings.

Parameters:
  `nextMarker` - A string, present if there are more event source mappings.

#### getNextMarker

    public String getNextMarker()

A string, present if there are more event source mappings.

Returns:
  A string, present if there are more event source mappings.

#### withNextMarker

    public ListEventSourceMappingsResult withNextMarker(String nextMarker)

A string, present if there are more event source mappings.

Parameters:
  `nextMarker` - A string, present if there are more event source mappings.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getEventSourceMappings

    public List<EventSourceMappingConfiguration> getEventSourceMappings()

An array of `EventSourceMappingConfiguration` objects.

Returns:
  An array of `EventSourceMappingConfiguration` objects.

#### setEventSourceMappings

    public void setEventSourceMappings(Collection<EventSourceMappingConfiguration> eventSourceMappings)

An array of `EventSourceMappingConfiguration` objects.

Parameters:
  `eventSourceMappings` - An array of `EventSourceMappingConfiguration` objects.

#### withEventSourceMappings

    public ListEventSourceMappingsResult withEventSourceMappings(EventSourceMappingConfiguration... eventSourceMappings)

An array of `EventSourceMappingConfiguration` objects.

NOTE: This method appends the values to the existing list (if any). Use `setEventSourceMappings(java.util.Collection)` or `withEventSourceMappings(java.util.Collection)` if you want to override the existing values.

Parameters:
  `eventSourceMappings` - An array of `EventSourceMappingConfiguration` objects.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withEventSourceMappings

    public ListEventSourceMappingsResult withEventSourceMappings(Collection<EventSourceMappingConfiguration> eventSourceMappings)

An array of `EventSourceMappingConfiguration` objects.

Parameters:
  `eventSourceMappings` - An array of `EventSourceMappingConfiguration` objects.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListEventSourceMappingsResult clone()

Overrides:
  `clone` in class `Object`